# DescribeBackends

## 1. API Description

This API (DescribeBackends) is used to query the information of one or more specified backend servers. Users can search for backend server information based on the ID of the listener, the ID of the backend server, and other information.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                                   | Description                                                                                              |
| -------------- | -------- | -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| listenerId     | Yes      | String                                                                                 | The listener ID.                                                                                         |
| backendIds     | No       | Array of String                                                                        | ID list of backend servers.                                                                              |
| backendName    | No       | String                                                                                 | Backend server name.                                                                                     |
| instanceType   | No       | [InstanceProductType](/api-reference/compute/bmc/datastructure.md#instanceproducttype) | Instance type. Default value: `BM`                                                                       |
| pageNum        | No       | Integer                                                                                | <p>Number of pages returned.</p><p>Default value: 1 .</p><p>Default value: 1</p>                         |
| pageSize       | No       | Integer                                                                                | <p>Number of items in the current page result.</p><p>Default value: 20 ;</p><p>Maximum value: 1000 .</p> |

## 3. Output Parameters

| Parameter Name | Type                                                                            | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                         | The total number of backend servers that meet the filtering conditions.                                               |
| dataSet        | Array of [BackendInfo](/api-reference/compute/bmc/datastructure.md#backendinfo) | Backend server list.                                                                                                  |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Get a list of all backend servers based on the listener ID.**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeBackends
<Common Request Params>

Request:
{
  "listenerId": "xxxx"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "totalCount": 10,
    "dataSet": [
      {
        "listenerId": "xxx",
        "backendId": "xxx",
        "backendName": "xxxx",
        "status": "Available",
        "port": "80",
        "weight": 100,
        "instanceId": "xxxx",
        "instanceName": "xxxx",
        "createTime": "2022-08-31 11:13:17"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/load-balancing/describebackends.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
